Game Develop Core: gd::ProjectResourcesCopier Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::ProjectResourcesCopier Class Reference
IDE Classes ( Classes to be used to implement a development environment )

Copy all resources files of a project to a directory. More...

`#include <ProjectResourcesCopier.h>`

## Static Public Member Functions

static bool | CopyAllResourcesTo (gd::Project &project, std::string destinationDirectory, bool updateOriginalProject, wxProgressDialog *optionalProgressDialog=NULL, bool askAboutAbsoluteFilenames=true, bool preserveDirectoryStructure=true)
| Copy all resources files of a project to a the specified destinationDirectory. More...

## Detailed Description

Copy all resources files of a project to a directory.

## Member Function Documentation

bool gd::ProjectResourcesCopier::CopyAllResourcesTo | ( | gd::Project & | project,
|  | std::string | destinationDirectory,
|  | bool | updateOriginalProject,
|  | wxProgressDialog * | optionalProgressDialog = `NULL`,
|  | bool | askAboutAbsoluteFilenames = `true`,
|  | bool | preserveDirectoryStructure = `true`
| ) |  |

static

Copy all resources files of a project to a the specified destinationDirectory.

Parameters

  project | The project to be used
  destinationDirectory | The directory where resources must be copied to
  updateOriginalProject | If set to true, project will be updated with the new resources filenames.
  optionalProgressDialog | An optional pointer to a wxProgressDialog. Can be NULL.
  askAboutAbsoluteFilenames | If set to false, the users won't be asked anything and the files with absolutes filenames will be copied into the destination directory and their filenames updated.
  preserveDirectoryStructure | If set to true (default), the directories of the resources will be preserved when copying. Otherwise, everything will be send in the destinationDirectory.

Returns
  true if no error happened

The documentation for this class was generated from the following files:

- ProjectResourcesCopier.h
- ProjectResourcesCopier.cpp